Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.internal
Class Nullability

    java.lang.Object
      org.hibernate.engine.internal.Nullability

    public final class Nullability

extends Object

Implements the algorithm for validating property values for illegal null values

Constructor Summary
`Nullability(SessionImplementor session)`

Method Summary
`void` | `checkNullability(Object[] values, EntityPersister persister, boolean isUpdate)` Check nullability of the class persister properties

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Nullability

    public Nullability(SessionImplementor session)

Method Detail

### checkNullability

    public void checkNullability(Object[] values,
                                 EntityPersister persister,
                                 boolean isUpdate)
                          throws PropertyValueException,
                                 HibernateException

  Check nullability of the class persister properties

  Parameters:
    `values` - entity properties
    `persister` - class persister
    `isUpdate` - whether it is intended to be updated or saved
  Throws:
    `PropertyValueException` - Break the nullability of one property
    `HibernateException` - error while getting Component values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.